import 'basico_model.dart';
import 'producto_model.dart';

class PedidoProductoTopping extends Basico {
  int? idPedidoProducto;
  int? idTopping;
  Producto? topping;

  PedidoProductoTopping({
    super.id,
    this.idPedidoProducto,
    this.idTopping,
    this.topping,
  });

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'idPedidoProducto': idPedidoProducto,
      'idTopping': idTopping,
    }..addAll(super.toJson());
  }

  PedidoProductoTopping.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    idPedidoProducto = Basico.parseInt(json['idPedidoProducto']);
    idTopping = Basico.parseInt(json['idTopping']);
  }
}
